libblockdev (3.3.0-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * dont allow suid and dev set on fs resize (CVE-2025-6019)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jun 2025 15:06:46 +0200

libblockdev (3.3.0-2) unstable; urgency=medium

  * autopkgtest: Add dependency on vdo.
    The LVM VDO tests require vdoformat.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Feb 2025 22:12:11 +0100

libblockdev (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Update symbols file for libblockdev3, libblockdev-lvm3 and
    libblockdev-lvm-dbus3

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Feb 2025 15:34:42 +0100

libblockdev (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Nov 2024 23:22:34 +0100

libblockdev (3.2.0-2) unstable; urgency=medium

  * Re-add s390 specific symbols for libblockdev
  * Skip smartmontools integration test

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Sep 2024 20:25:15 +0200

libblockdev (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch and debian/gbp.conf
  * Drop patches, all merged upstream
  * Disable smartmontools based SMART plugin which is (still) marked as
    experimental
  * Add Build-Depends on libatasmart-dev.
    Required to build the libatasmart based SMART plugin.
  * Add Build-Depends on libyaml-dev.
    Required by the lvm and lvm-dbus plugin.
  * Add packages for new smart plugin
  * Update symbols files for libblockdev3, libblockdev-crypto3 and
    libblockdev-utils3

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Sep 2024 18:06:52 +0200

libblockdev (3.1.1-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add upstream patches to fix build with gcc14.
    The real fix would be in e2fsprogs, but it's still not fixed upstream:
    https://lore.kernel.org/all/20240527091542.4121237-2-hi@alyssa.is/T/#u
    (Closes: #1071320)

  [ Michael Biebl ]
  * Add symbols file for libblockdev-mpath
  * Add ${gir:Depends} and ${gir:Provides} to libblockdev-dev.
    Fixes lintian warning W: libblockdev-dev:
    gir-package-name-does-not-match gir1.2-blockdev-3.0-dev
    [usr/share/gir-1.0/BlockDev-3.0.gir]
  * Bump Standards-Version to 4.7.0, no further changes required

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Aug 2024 19:23:21 +0200

libblockdev (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file for libblockdev3

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Mar 2024 14:32:04 +0100

libblockdev (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update symbols files for libblockdev3, libblockdev-fs3 and
    libblockdev-swap3

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Jan 2024 21:39:19 +0100

libblockdev (3.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Oct 2023 10:07:41 +0200

libblockdev (3.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, merged upstream

 -- Michael Biebl <biebl@debian.org>  Thu, 31 Aug 2023 23:03:04 +0200

libblockdev (3.0.2-3) unstable; urgency=medium

  * fs: Fix leaking directories with temporary mounts (Closes: #1042001)

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jul 2023 09:00:22 +0200

libblockdev (3.0.2-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Enable tools and create a libblockdev-tools package (Closes: #1040838)
  * Run upstream integration test via autopkgtest
  * Only run those parts of the upstream test suite that don't require
    compilation

  [ Sebastien Bacher ]
  * Update libblockdev-mpath2 → libblockdev-mpath3 for Ubuntu's i386 exclusion
    (Closes: #1040847)

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Jul 2023 18:06:55 +0200

libblockdev (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, merged upstream
  * Request standard CI on salsa.debian.org

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Jul 2023 15:30:04 +0200

libblockdev (3.0.1-2) unstable; urgency=medium

  * Drop fdisk Depends from libblockdev-part.
    It only needs the library, not the command line tools.
  * Remove unnecessary version restrictions
  * Demote mdadm Depends of libblockdev-mdraid to Suggests.
    mdadm is a rather heavy dependency so avoid installing it by default.
    Users with RAID devices should typically have mdadm installed.
    (Closes: #1040908)
  * Add myself to Uploaders

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Jul 2023 16:40:45 +0200

libblockdev (3.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches, all merged upstream
  * Demote e2fsprogs from Depends to Recommends (Closes: #1000353)
  * Restrict list of exported symbols via -export-symbols-regex
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 09:18:50 +0200

libblockdev (3.0-2) experimental; urgency=medium

  * Team upload
  * Update depencencies
    - Fix name of lvm2 Depends
    - Drop no longer needed gdisk Depends from libblockdev-part3
    - Add lvm2-dbusd Depends to libblockdev-lvm-dbus3
    - Add ndctl Depends to libblockdev-nvdimm3
    - Wrap dependencies
  * Fix many exported private symbols and missing declarations.
    Patches cherry-picked from upstream Git.
  * Update symbols files accordingly
  * Make the conf.d directory versioned (Closes: #1040208)
  * Update .install files accordingly
  * Re-add s390x specific (stub) symbols

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Jul 2023 23:32:12 +0200

libblockdev (3.0-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update lintian override info format in
    d/libblockdev-part-err2.lintian-overrides on line 4.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Michael Biebl ]
  * New upstream release
  * Remove obsolete configure switches
  * Update Build-Depends
    - Bump Build-Depends on libcryptsetup-dev to (>= 2.3.0)
    - Add libkeyutils-dev for the crypto plugin
    - Replace libparted-dev with libfdisk-dev
    - Add uuid-dev and libext2fs-dev for the fs plugin
  * Drop libblockdev-kbd{2,-dev} packages
  * Drop libblockdev-part-err{2,dev} packages
  * Update packages for 2->3 soname bump
  * Install new logging.h header in libblockdev-utils-dev
  * Update symbols files.
    Some symbols are not meant to be public, so mark them as optional.
  * Bump Standards-Version to 4.6.2
  * Fix dependencies of -dev packages
  * Drop ia64 specific workarounds
  * Use DEB_PYTHON_INSTALL_LAYOUT="deb" to get the correct sysconfig scheme on
    Debian
  * Enable NVMe plugin
  * vdo_stats: Remove unused libparted include.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Jun 2023 16:44:38 +0200

libblockdev (2.28-2) unstable; urgency=medium

  * Team upload
  * Disable dmraid support.
    dmraid has been unmaintained for many years and is scheduled to be
    removed in trixie. (Closes: #1021487)

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2022 22:22:59 +0200

libblockdev (2.28-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop no longer needed override for dh_missing
  * Use execute_before instead of override for dh_install
  * Drop obsolete alternative util-linux dependency

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2022 20:37:24 +0200

libblockdev (2.27-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1, no further changes

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Jun 2022 00:21:07 +0200

libblockdev (2.26-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop thin-provisioning-tools dependency from libblockdev-lvm2.
    It is no longer needed as the thin_metadata_size tool isn't used
    anymore. (Closes: #987899)
  * Drop patches, applied upstream

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 12:48:49 +0200

libblockdev (2.25-2) unstable; urgency=medium

  * Team upload
  * fs: Allow using empty label for vfat with newest dosfstools
    (Closes: #983751)

 -- Michael Biebl <biebl@debian.org>  Mon, 01 Mar 2021 21:33:20 +0100

libblockdev (2.25-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.5.1
  * Fix bd_lvm_vdopooldata_* symbols
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Fix dependencies of python3-blockdev.
    It requires gir1.2-blockdev-2.0, libblockdev2 is only an indirect
    dependency. (Closes: #974686)
  * Bump debhelper-compat to 13

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Feb 2021 21:45:49 +0100

libblockdev (2.24-2) unstable; urgency=medium

  * Team upload
  * debian/rules:
    - Omit libblockdev-mpath and libblockdev-plugins-all on Ubuntu/i386
      (Closes: #947275)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Jun 2020 15:29:10 +0200

libblockdev (2.24-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Disable deprecated VDO plugin.
    The VDO plugin has been deprecated in this release and is scheduled to be
    removed in 3.0. Its functionality is replaced by LVM VDO.
  * Update symbols files

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2020 17:45:01 +0200

libblockdev (2.23-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on dh-sequence-gir & dh-sequence-python3
  * Enable libblockdev-nvdimm on all non-Linux architectures except ia64

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 05:39:45 -0400

libblockdev (2.23-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Update symbols files

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Oct 2019 22:28:01 +0200

libblockdev (2.22-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Rebase patches
  * Bump debhelper compat level to 12.
    Use new debhelper-compat syntax and drop debian/compat
  * Mark libblockdev-swap-dev as Multi-Arch: same
  * Disable tools via --withouth-tools configure switch
    lvm-cache-stats is a simple tool for displaying stats for LVM cache
    devices which was introduced in version 2.21. It is the only tool at
    this point and we don't really need it so disable it to avoid the need
    for a new binary package. Should more tools be added which appear to be
    useful, this decision can be revisited.
  * Update symbols file for libblockdev2 and libblockdev-nvdimm2
  * Bump Standards-Version to 4.4.0
  * Add library-not-linked-against-libc lintian override for
    libblockdev-part-err2.
    The library only uses symbols from glib, but not glibc.
  * Add Build-Depends on autoconf-archive.
    Required during autoreconf for the AX_CHECK_ENABLE_DEBUG macro.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jul 2019 13:54:39 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libblockdev-utils3`.
